%global systemd_units org.gnome.SettingsDaemon.A11ySettings.service org.gnome.SettingsDaemon.Color.service org.gnome.SettingsDaemon.Datetime.service org.gnome.SettingsDaemon.Housekeeping.service org.gnome.SettingsDaemon.Keyboard.service org.gnome.SettingsDaemon.MediaKeys.service org.gnome.SettingsDaemon.Power.service org.gnome.SettingsDaemon.PrintNotifications.service org.gnome.SettingsDaemon.Rfkill.service org.gnome.SettingsDaemon.ScreensaverProxy.service org.gnome.SettingsDaemon.Sharing.service org.gnome.SettingsDaemon.Smartcard.service org.gnome.SettingsDaemon.Sound.service org.gnome.SettingsDaemon.UsbProtection.service org.gnome.SettingsDaemon.Wwan.service org.gnome.SettingsDaemon.XSettings.service org.gnome.SettingsDaemon.Wacom.service

%global major_version %%(echo %{version} | cut -f 1 -d '.')

Summary:        The daemon sharing settings from GNOME to GTK+/KDE applications
Name:           gnome-settings-daemon
Version:        44.1
Release:        5%{?dist}
License:        GPLv2+
URL:            https://gitlab.gnome.org/GNOME/gnome-settings-daemon
Source0:        https://download.gnome.org/sources/%{name}/%{major_version}/%{name}-%{version}.tar.xz
Source1:        org.gnome.settings-daemon.plugins.power.gschema.override

BuildRequires:  gcc gettext meson perl-interpreter systemd-rpm-macros
BuildRequires:  pkgconfig(alsa) pkgconfig(colord) pkgconfig(cups) pkgconfig(fontconfig) pkgconfig(gnome-desktop-3.0)
BuildRequires:  pkgconfig(gcr-4) pkgconfig(geoclue-2.0) pkgconfig(geocode-glib-2.0) pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gsettings-desktop-schemas) pkgconfig(gtk+-3.0) pkgconfig(gudev-1.0) pkgconfig(gweather4)
BuildRequires:  pkgconfig(libcanberra-gtk3) pkgconfig(lcms2) pkgconfig(libgeoclue-2.0) pkgconfig(libnm)
BuildRequires:  pkgconfig(libpulse) pkgconfig(libnotify) pkgconfig(libpulse-mainloop-glib) pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(mm-glib) pkgconfig(nss) pkgconfig(polkit-gobject-1) pkgconfig(upower-glib) pkgconfig(x11)
BuildRequires:  pkgconfig(xi) pkgconfig(wayland-client) pkgconfig(libwacom) pkgconfig(xorg-wacom)

Requires: colord iio-sensor-proxy geoclue2 geocode-glib2 glib2 gnome-desktop3 gsettings-desktop-schemas gtk3 libgweather4

%description
A daemon to share settings from GNOME to other applications. It also handles global keybindings, as well as a number of
desktop-wide settings.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

install -p %{SOURCE1} %{buildroot}%{_datadir}/glib-2.0/schemas

%find_lang %{name} --with-gnome

%post
%systemd_user_post %{systemd_units}

%preun
%systemd_user_preun %{systemd_units}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README
%{_libexecdir}/gsd-datetime
%{_libexecdir}/gsd-housekeeping
%{_libexecdir}/gsd-keyboard
%{_libexecdir}/gsd-media-keys
%{_libexecdir}/gsd-backlight-helper
%{_libexecdir}/gsd-power
%{_libexecdir}/gsd-print-notifications
%{_libexecdir}/gsd-printer
%{_libexecdir}/gsd-rfkill
%{_libexecdir}/gsd-screensaver-proxy
%{_libexecdir}/gsd-smartcard
%{_libexecdir}/gsd-sound
%{_libexecdir}/gsd-usb-protection
%{_libexecdir}/gsd-wacom
%{_libexecdir}/gsd-wacom-oled-helper
%{_libexecdir}/gsd-xsettings
%{_libexecdir}/gsd-a11y-settings
%{_libexecdir}/gsd-color
%{_libexecdir}/gsd-sharing
%{_libexecdir}/gsd-wwan
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Housekeeping.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Datetime.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Keyboard.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.MediaKeys.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Power.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.PrintNotifications.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Rfkill.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.ScreensaverProxy.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Smartcard.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Sound.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.UsbProtection.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Wacom.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.XSettings.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.A11ySettings.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Color.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Sharing.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Wwan.desktop
%{_sysconfdir}/xdg/Xwayland-session.d/00-xrdb
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.housekeeping.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.media-keys.gschema.xml
%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.power.policy
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.power.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.power.gschema.override
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.peripherals.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.peripherals.wacom.gschema.xml
%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.wacom.policy
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.xsettings.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.color.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.sharing.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.wwan.gschema.xml
%{_datadir}/gnome-settings-daemon/
%{_datadir}/GConf/gsettings/gnome-settings-daemon.convert
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.gschema.xml

%dir %{_libdir}/gnome-settings-daemon-%{major_version}
%{_libdir}/gnome-settings-daemon-%{major_version}/libgsd.so

%{_userunitdir}/gnome-session-x11-services-ready.target.wants/
%{_userunitdir}/gnome-session-x11-services.target.wants/
%{lua: for service in string.gmatch(rpm.expand('%{systemd_units}'), "[^%s]+") do print(rpm.expand('%{_userunitdir}/')..service..'\n') end}
%{_userunitdir}/*.target
%{_udevrulesdir}/61-gnome-settings-daemon-rfkill.rules

%files devel
%{_includedir}/gnome-settings-daemon-%{major_version}
%{_libdir}/pkgconfig/gnome-settings-daemon.pc

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 44.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 44.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 Miaojun Dong <zoedong@tencent.com> - 44.1-3
- Rebuild for gcr-4.1.0

* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 44.1-2
- Rebuilt for librsvg2 2.56.90

* Thu Aug 17 2023 kianli <kianli@tencent.com> - 44.1-1
- Upgrade to 44.1

* Mon Jul 17 2023 cunshunxia<cunshunxia@tencent.com> - 43.0-4
- Rebuilt for ModemManager 1.20.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 5 2022 Shuo Wang <abushwang@tencent.com> - 43.0-1
- initial build
